package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 车辆vin码对象 car_vin_info
 *
 * @author jsowell
 * @date 2023-06-07
 */
public class CarVinInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 车辆vin码
     */
    @Excel(name = "车辆vin码")
    private String vinCode;

    /**
     * 状态（1-正常使用; 2-启动锁定；9-停用）
     */
    @Excel(name = "状态", readConverterExp = "1=-正常使用;,2=-启动锁定；9-停用")
    private String status;

    /**
     * 会员id
     */
    @Excel(name = "会员id")
    private String memberId;

    /**
     * 删除标识
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setVinCode(String vinCode) {
        this.vinCode = vinCode;
    }

    public String getVinCode() {
        return vinCode;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("id", getId())
                .append("vinCode", getVinCode())
                .append("status", getStatus())
                .append("memberId", getMemberId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
